Package io.dapr.client.domain.query.filters

# Class EqFilter<T>

java.lang.Object
io.dapr.client.domain.query.filters.Filter<T>
io.dapr.client.domain.query.filters.EqFilter<T>

public class EqFilter<T> extends Filter<T>

## Constructor Summary

Constructors
Constructor
Description
`EqFilter()`
`EqFilter(String key, T value)`

## Method Summary

Modifier and Type
Method
Description
`String`
`getKey()`
`String`
`getRepresentation()`
`T`
`getValue()`
`Boolean`
`isValid()`

### Methods inherited from class io.dapr.client.domain.query.filters.Filter

`getName`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### EqFilter

public EqFilter()

### EqFilter

public EqFilter(String key, T value)

## Method Details

### getKey

public String getKey()

### getValue

public T getValue()

### getRepresentation

public String getRepresentation()

Specified by:
  `getRepresentation` in class `Filter<T>`

### isValid

public Boolean isValid()

Specified by:
  `isValid` in class `Filter<T>`